import java.awt.*;
import javax.swing.*;

public class Test {
    public static void main(String[] args) {
        JFrame f = new JFrame();
        f.setSize(250, 250);
        f.setLocation(100, 100);
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.setLayout(null);

        Spirale e = new Spirale();
        Polyligne pl = new Polyligne(e);
        pl.setSize(230, 230);
        pl.setLocation(0, 0);
        f.add(pl);

        f.setVisible(true);
    }
}